Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

How can I tell which version and from which repository the Additional Drivers tool is trying to install the fglrx graphics driver?

It says that I have a different version of the driver in use. I installed the driver from maverick/restricted and apt-cache tells me it's from a regular Ubuntu mirror. The installed version is the same as the candidate version.

Can I get Additional Drivers to tell me what it would install if I activated the driver through it? Is it possible Additional Drivers just assumes it's a different version since it was installed by a different process?

share|improve this question

2 Answers 2

up vote 6 down vote accepted

The "Additional Drivers" (aka jockey-gui) GUI tool can't tell you much and it can be easily confused. If you've used cli commands to install the right driver then you don't need to use the gui tool.

It sounds like you know how to use apt-cache to search for the versions available.

So use jockey-text to find the list of drivers and the packages:

jockey-text -l

On my machine this looks like:

kmod:nvidia_current - nvidia_current (Proprietary, Enabled, Not in use)
pkg:sl-modem-daemon - Software modem (Proprietary, Disabled, Not in use)

kmod stands for kernel module, pkg is obviously an apt package. According to the code, jockey installs the latest candidate package and ignores any detectable kernel modules or blacklisted modules.

share|improve this answer

I have tried many ways without succes, but this did work on me (Ubuntu 12.10):

/usr/lib/nux/unity_support_test --print

One reason is that I have Nvidia Optimus card and that makes thing harder, so I added optirun before the command.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.